
static struct NewScreen NewScreenStructure = {
       0,0,
       640,400,
       2,
       0,1,
       LACE+SPRITES+HIRES,
       CUSTOMSCREEN,
       NULL,
       (UBYTE *)" THE GRAVITY SIMULATOR V1.50             By Richard Frost.  1988, 1989",
       NULL,
       NULL
};

#define NEWSCREENSTRUCTURE NewScreenStructure

static USHORT Palette[] = {
       0x0000,
       0x0B40,
       0x0008,
       0x05AF
#define PaletteColorCount 4
};

#define PALETTE Palette

static UBYTE UNDOBUFFER[30];

static struct IntuiText IText1 = {
       3,1,JAM1,
       19,0,
       NULL,
       (UBYTE *)"Slow",
       NULL
};

static struct MenuItem SubItem3 = {
       NULL,
       113,8,
       75,8,
       CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP,
       3,
       (APTR)&IText1,
       NULL,
       NULL,
       NULL,
       MENUNULL
};

static struct IntuiText IText2 = {
       2,1,JAM2,
       19,0,
       NULL,
       (UBYTE *)"Medium ",
       NULL
};

static struct MenuItem SubItem2 = {
       &SubItem3,
       113,0,
       75,8,
       CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP,
       5,
       (APTR)&IText2,
       NULL,
       NULL,
       NULL,
       MENUNULL
};

static struct IntuiText IText3 = {
       0,1,JAM2,
       19,0,
       NULL,
       (UBYTE *)"Fast",
       NULL
};

static struct MenuItem SubItem1 = {
       &SubItem2,
       113,-8,
       75,8,
       CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP+CHECKED,
       6,
       (APTR)&IText3,
       NULL,
       NULL,
       NULL,
       MENUNULL
};

static struct IntuiText IText4 = {
       3,1,COMPLEMENT,
       0,0,
       NULL,
       (UBYTE *)"Playback Speed ",
       NULL
};

static struct MenuItem MenuItem4 = {
       NULL,
       0,27,
       128,8,
       ITEMTEXT+ITEMENABLED+HIGHCOMP,
       0,
       (APTR)&IText4,
       NULL,
       NULL,
       &SubItem1,
       MENUNULL
};

static struct TextAttr TOPAZ60 = {
       (STRPTR)"topaz.font",
       TOPAZ_SIXTY,0,0
};
static struct IntuiText IText5 = {
       3,1,COMPLEMENT,
       0,0,
       &TOPAZ60,
       (UBYTE *)"PLAYBACK",
       NULL
};

static struct MenuItem MenuItem3 = {
       &MenuItem4,
       0,18,
       128,8,
       ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
       0,
       (APTR)&IText5,
       NULL,
       'P',
       NULL,
       MENUNULL
};

static struct IntuiText IText6 = {
       3,1,COMPLEMENT,
       19,0,
       &TOPAZ60,
       (UBYTE *)"OFF",
       NULL
};

static struct MenuItem MenuItem2 = {
       &MenuItem3,
       0,9,
       128,8,
       CHECKIT+ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP+CHECKED,
       1,
       (APTR)&IText6,
       NULL,
       'O',
       NULL,
       MENUNULL
};

static struct IntuiText IText7 = {
       3,1,COMPLEMENT,
       19,0,
       &TOPAZ60,
       (UBYTE *)"RECORD",
       NULL
};

static struct MenuItem MenuItem1 = {
       &MenuItem2,
       0,0,
       128,8,
       CHECKIT+ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
       2,
       (APTR)&IText7,
       NULL,
       'R',
       NULL,
       MENUNULL
};

static struct Menu Menu4 = {
       NULL,
       264,0,
       84,0,
       MENUENABLED,
       "Recorder",
       &MenuItem1
};

static struct IntuiText IText8 = {
       2,0,JAM1,
       0,0,
       NULL,
       (UBYTE *)"Re-Start",
       NULL
};

static struct MenuItem MenuItem7 = {
       NULL,
       0,18,
       104,8,
       ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
       0,
       (APTR)&IText8,
       NULL,
       'N',
       NULL,
       MENUNULL
};

static struct IntuiText IText9 = {
       2,0,JAM1,
       0,0,
       NULL,
       (UBYTE *)"STOP",
       NULL
};

static struct MenuItem MenuItem6 = {
       &MenuItem7,
       0,9,
       104,8,
       ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
       0,
       (APTR)&IText9,
       NULL,
       'K',
       NULL,
       MENUNULL
};

static struct IntuiText IText10 = {
       2,0,JAM1,
       0,0,
       NULL,
       (UBYTE *)"GO!   ",
       NULL
};

static struct MenuItem MenuItem5 = {
       &MenuItem6,
       0,0,
       104,8,
       ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
       0,
       (APTR)&IText10,
       NULL,
       'G',
       NULL,
       MENUNULL
};

static struct Menu Menu3 = {
       &Menu4,
       164,0,
       93,0,
       MENUENABLED,
       "Animation",
       &MenuItem5
};

static struct IntuiText IText11 = {
       3,1,COMPLEMENT,
       19,0,
       NULL,
       (UBYTE *)"Non Coloured",
       NULL
};

static struct MenuItem SubItem7 = {
       NULL,
       129,16,
       115,8,
       CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP,
       4,
       (APTR)&IText11,
       NULL,
       NULL,
       NULL,
       MENUNULL
};

static struct IntuiText IText12 = {
       3,1,COMPLEMENT,
       19,0,
       NULL,
       (UBYTE *)"Coloured",
       NULL
};

static struct MenuItem SubItem6 = {
       &SubItem7,
       129,8,
       115,8,
       CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP+CHECKED,
       8,
       (APTR)&IText12,
       NULL,
       NULL,
       NULL,
       MENUNULL
};

static struct IntuiText IText13 = {
       3,1,COMPLEMENT,
       19,0,
       NULL,
       (UBYTE *)"Off",
       NULL
};

static struct MenuItem SubItem5 = {
       &SubItem6,
       129,0,
       115,8,
       CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP,
       1,
       (APTR)&IText13,
       NULL,
       NULL,
       NULL,
       MENUNULL
};

static struct IntuiText IText14 = {
       3,1,COMPLEMENT,
       19,0,
       NULL,
       (UBYTE *)"On",
       NULL
};

static struct MenuItem SubItem4 = {
       &SubItem5,
       129,-8,
       115,8,
       CHECKIT+ITEMTEXT+ITEMENABLED+HIGHCOMP+CHECKED,
       2,
       (APTR)&IText14,
       NULL,
       NULL,
       NULL,
       MENUNULL
};

static struct IntuiText IText15 = {
       2,1,COMPLEMENT,
       0,0,
       NULL,
       (UBYTE *)"Paths       ",
       NULL
};

static struct MenuItem MenuItem12 = {
       NULL,
       0,36,
       144,8,
       ITEMTEXT+ITEMENABLED+HIGHCOMP,
       0,
       (APTR)&IText15,
       NULL,
       NULL,
       &SubItem4,
       MENUNULL
};

static struct IntuiText IText16 = {
       2,1,COMPLEMENT,
       0,0,
       NULL,
       (UBYTE *)"Set Mass",
       NULL
};

static struct MenuItem MenuItem11 = {
       &MenuItem12,
       0,27,
       144,8,
       ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
       0,
       (APTR)&IText16,
       NULL,
       'M',
       NULL,
       MENUNULL
};

static struct IntuiText IText17 = {
       2,1,COMPLEMENT,
       0,0,
       NULL,
       (UBYTE *)"Set Velocity",
       NULL
};

static struct MenuItem MenuItem10 = {
       &MenuItem11,
       0,18,
       144,8,
       ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
       0,
       (APTR)&IText17,
       NULL,
       'V',
       NULL,
       MENUNULL
};

static struct IntuiText IText18 = {
       2,1,COMPLEMENT,
       0,0,
       NULL,
       (UBYTE *)"Delete Planet",
       NULL
};

static struct MenuItem MenuItem9 = {
       &MenuItem10,
       0,9,
       144,8,
       ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
       0,
       (APTR)&IText18,
       NULL,
       'D',
       NULL,
       MENUNULL
};

static struct IntuiText IText19 = {
       2,1,COMPLEMENT,
       0,0,
       NULL,
       (UBYTE *)"Add Planet",
       NULL
};

static struct MenuItem MenuItem8 = {
       &MenuItem9,
       0,0,
       144,8,
       ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
       0,
       (APTR)&IText19,
       NULL,
       'A',
       NULL,
       MENUNULL
};

static struct Menu Menu2 = {
       &Menu3,
       82,0,
       75,0,
       MENUENABLED,
       "Planets",
       &MenuItem8
};

static struct IntuiText IText20 = {
       3,2,JAM2,
       0,0,
       &TOPAZ60,
       (UBYTE *)"Quit",
       NULL
};

static struct MenuItem MenuItem16 = {
       NULL,
       0,40,
       80,8,
       ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHBOX,
       0,
       (APTR)&IText20,
       NULL,
       'Q',
       NULL,
       MENUNULL
};

static struct IntuiText IText21 = {
       1,2,COMPLEMENT,
       0,0,
       &TOPAZ60,
       (UBYTE *)"Save",
       NULL
};

static struct MenuItem MenuItem15 = {
       &MenuItem16,
       0,23,
       80,8,
       ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
       0,
       (APTR)&IText21,
       NULL,
       'S',
       NULL,
       MENUNULL
};

static struct IntuiText IText22 = {
       1,2,COMPLEMENT,
       0,0,
       &TOPAZ60,
       (UBYTE *)"Load",
       NULL
};

static struct MenuItem MenuItem14 = {
       &MenuItem15,
       0,14,
       80,8,
       ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
       0,
       (APTR)&IText22,
       NULL,
       'L',
       NULL,
       MENUNULL
};

static struct IntuiText IText23 = {
       2,1,COMPLEMENT,
       0,0,
       &TOPAZ60,
       (UBYTE *)"New",
       NULL
};

static struct MenuItem MenuItem13 = {
       &MenuItem14,
       0,0,
       80,8,
       ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
       0,
       (APTR)&IText23,
       NULL,
       'X',
       NULL,
       MENUNULL
};

static struct Menu Menu1 = {
       &Menu2,
       0,0,
       75,0,
       MENUENABLED,
       "Project",
       &MenuItem13
};

#define MenuList1 Menu1

static struct NewWindow NewWindowStructure1 = {
       0,0,
       640,200,
       0,1,
       MOUSEBUTTONS+MOUSEMOVE+MENUPICK+REQCLEAR+ACTIVEWINDOW+VANILLAKEY,
       BACKDROP+REPORTMOUSE+BORDERLESS+ACTIVATE,
       NULL,
       NULL,
       NULL,
       NULL,
       NULL,
       5,5,
       640,512,
       CUSTOMSCREEN
};

static UBYTE StringGadSIBuff[30];
static struct StringInfo StringGadSInfo = {
       StringGadSIBuff,
       UNDOBUFFER,
       0,
       30,
       0,
       0,0,0,0,0,
       0,
       0,
       NULL
};

static SHORT BorderVectors1[] = {
       0,0,
       211,0,
       211,10,
       0,10,
       0,0
};
static struct Border Border1 = {
       -2,-1,
       3,0,JAM1,
       5,
       BorderVectors1,
       NULL
};

static struct Gadget StringGad = {
       NULL,
       26,33,
       208,9,
       SELECTED,
       RELVERIFY+ENDGADGET+STRINGCENTER,
       STRGADGET+REQGADGET,
       (APTR)&Border1,
       NULL,
       NULL,
       NULL,
       (APTR)&StringGadSInfo,
       StrGad,
       NULL
};

#define GadgetList2 StringGad

static struct IntuiText IText25 = {
       3,2,JAM2,
       64,18,
       NULL,
       (UBYTE *)"name of the file:",
       NULL
};

static struct IntuiText IText24 = {
       3,2,JAM2,
       85,5,
       NULL,
       (UBYTE *)"Type in the",
       &IText25
};

#define IntuiTextList2 IText24

static struct Requester RequesterStructure2 = {
       NULL,
       194,148,
       261,52,
       0,0,
       &GadgetList2,
       NULL,
       &IntuiTextList2,
       NULL,
       2,
       NULL,
       NULL,
       NULL
};


/* end of PowerWindows source generation */
